% element capacity matrix assembly for 1D problem

   % input:
   % x  - vector of nodal coordinates uzlu (x1,x2)
   % ro - volume weight
   % c  - specific heat (capacity)

   % output_precision:
   % ce - capacity matrix (2,2)

   function ce = capacity_matrix (x, ro, c)

            l = x(2) - x(1);
            ce = (ro*c*l)*[1/3 1/6; 1/6 1/3];
   end
