% assembly of Dirichlet b.c. for one element and localization into global vector

    % vstup:
        %    f - global right hand side vector
    %       ke - capacity matrix of one element
    %       de - vector of Dirichlet b.c. of one element
    %      cne - vector of nodal code numbers of one element

    function f = right_hand_side_dirichlet (f, ke, de, cne)

                for i=1:2
                     r=cne(i);
                     if r ~= 0
                        for j=1:2
                           f(r) = f(r) - ke(i,j)*de(j);
                        end
                     end
                end
    end
