% localization of local conductivity/capacity matrix into global matrix

    % vstup:
    % m  - conductivity/capacity matrix of the structure
    % me - conductivity/capacity matrix of one element
    % cne - vector of nodal code numbers of one element

    function m = lokalizace (m, me, cne)

             for i=1:2
                 r=cne(i);
                 if r ~= 0
                    for j=1:2
                        s=cne(j);
                        if s ~= 0
                           m(r,s)=m(r,s)+me(i,j);
                        end
                    end
                 end
             end
    end
